com.microfocus.awm.control.internal

## Class IntegratedToolExecuter

- java.lang.Object
- - com.microfocus.awm.control.internal.IntegratedToolExecuter

- All Implemented Interfaces:
    IToolExecutor

  Deprecated.
  Uses the old tool executor API. Most integrated tools have been converted to independent `IToolExecutor2` implementations.

      @Deprecated
      public class IntegratedToolExecuter
      extends java.lang.Object
      implements IToolExecutor

  central class to call the integrated tools

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedToolExecuter()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolExecutionStatus` | `execTool(IExecutionContext pContext, ToolDescriptor pTauToolDescr, java.lang.String pAffectedRes, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. execute the given integrated tool
    `IToolOutputReader` | `getOutputReader()` Deprecated. Returns the implementation of the IToolOutputReader which is used for reading the tool output of the implemented IToolExecutor.
    `java.util.List<java.lang.String>` | `readParmFile(ISystemImage pImg, java.lang.String pParmFilePath, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Converts the contents of a parameter file into a list of strings (lines).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedToolExecuter

          public IntegratedToolExecuter()

      Deprecated.

  - ### Method Detail

    - #### execTool

          public ToolExecutionStatus execTool(IExecutionContext pContext,
                                              ToolDescriptor pTauToolDescr,
                                              java.lang.String pAffectedRes,
                                              org.eclipse.core.runtime.IProgressMonitor pMon)
                                       throws TaurusToolException

      Deprecated.
      execute the given integrated tool
      Specified by:
        `execTool` in interface `IToolExecutor`
      Parameters:
        `pContext` - actual execution context
        `pTauToolDescr` - descriptor of the integrated tool
        `pAffectedRes` - affected resource
        `pMon` - progress monitor
      Returns:
        execution status after execting the integrated tool
      Throws:
        `TaurusToolException` - if a Taurus tool exception occurs

    - #### getOutputReader

          public IToolOutputReader getOutputReader()

      Deprecated.
      Description copied from interface: `IToolExecutor`
      Returns the implementation of the IToolOutputReader which is used for reading the tool output of the implemented IToolExecutor.

      Only required for tools which are able to execute batch jobs.

      Specified by:
        `getOutputReader` in interface `IToolExecutor`
      Returns:
        the output reader which has been set for the tool

    - #### readParmFile

          public java.util.List<java.lang.String> readParmFile(ISystemImage pImg,
                                                               java.lang.String pParmFilePath,
                                                               org.eclipse.core.runtime.IProgressMonitor pMon)
                                                        throws java.io.IOException

      Deprecated.
      Description copied from interface: `IToolExecutor`
      Converts the contents of a parameter file into a list of strings (lines).

      Only required for tools which are able to execute batch jobs.

      Specified by:
        `readParmFile` in interface `IToolExecutor`
      Parameters:
        `pImg` - the system image
        `pParmFilePath` - the parameter file path
        `pMon` - progress monitor
      Returns:
        a list of strings which represents lines of the parameter file
      Throws:
        `java.io.IOException` - if reading or interpreting the parameter file fails

Copyright © 2015 Micro Focus GmbH. All rights reserved.